%define prefix /usr

Summary:	SCST Configuration/Administration scripts
Name:		scstadmin
Version:	0.9.5
Release:	1
Source0:	scstadmin-%{version}.tar.gz
Patch1:		scstadmin-pld.patch
Group:		Applications/System
License:	GPL
URL:		http://scst.sourceforge.net/
Vendor:		Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot:	/var/tmp/scstadmin-%{version}.root
Requires:	perl-base
Requires(post,preun):	/sbin/chkconfig

%description
SCST Configuration/Administration scripts. Here you'll find scstadmin which reads
a configuration file /etc/scst.conf, or one if your choosing. With it you can manually
or automatically configure every aspect of SCST incuding enabling/disabling target mode
on your target SCSI controller. scst_db script uses a mysql
backend database to configure SCST but doesn't handle all the things scstadmin handles.
The perl module SCST::SCST is very generic and tries to handle error checking as well.

%prep
%setup
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/perl5/5.8.8/SCST
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/doc/scstadmin-%{version}/examples
install -m 755 scstadmin $RPM_BUILD_ROOT%{_prefix}/sbin
install -m 755 scst_db/scst_db $RPM_BUILD_ROOT%{_prefix}/sbin
install -m 644 scst.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 600 scst_db/scst_db.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 sysconfig/scst $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 755 init.d/scst $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 644 SCST/SCST.pm $RPM_BUILD_ROOT%{_prefix}/share/perl5/5.8.8/SCST

%post
/sbin/chkconfig --add scst
%service scst restart

%preun
if [ "$1" = "0" ]; then
    %service -q scst stop
    /sbin/chkconfig --del scst
fi

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README scst_db/scst_schema.sql examples/*
%attr(755,root,root) %{_prefix}/sbin/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/scst.conf
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/scst_db.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sysconfig/scst
%attr(755,root,root) %{_sysconfdir}/init.d/scst
%{_prefix}/share/perl5/5.8.8/SCST/*.pm

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Bartosz Lis <bartoszl@ics.p.lodz.pl>
- scstadmin scripts packaed in RPM
